#ifndef R2_FAFE_STATE_H_
#define R2_FAFE_STATE_H_

#include "State.h"

namespace PamOffLineSW
{

class R2_FAFE_State : public PamOffLineSW::State
{
public:	
	virtual ~R2_FAFE_State();
	void readInput(char inputbyte);
	static R2_FAFE_State& getInstance(){return instance;}
private:
	R2_FAFE_State();
	static R2_FAFE_State instance;
};

}

#endif /*R2_FAFE_STATE_H_*/
